//
//  YHActivityDetailViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityDetailViewController: YHBaseViewController {
    lazy var tableView: UITableView = {
        let tableView = UITableView(frame:.zero, style:.plain)
        tableView.showsVerticalScrollIndicator = false
        tableView.separatorStyle = .none
        tableView.delegate = self
        tableView.dataSource = self
        tableView.backgroundColor = UIColor.white
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: "UITableViewCell")
        tableView.register(YHActivityDetailCell.self, forCellReuseIdentifier: YHActivityDetailCell.cellReuseIdentifier)
        tableView.tableHeaderView =  nil
        tableView.tableFooterView = nil
        
        tableView.estimatedSectionHeaderHeight = 0
        tableView.estimatedSectionFooterHeight = 0
        
        return tableView
    }()
    
//    lazy var emptyDataTipsView: YHEmptyDataView = {
//        let view = YHEmptyDataView.createView("暂无活动", kNoFriendsBgName)
//        view.topMargin = 222
//        view.isHidden = true
//        return view
//    }()
    
    
    lazy var topView : UIView = {
        let view = UIView()
        return view
    }()
    
    lazy var bottomView : YHActivityDetailBottomView = {
        let view = YHActivityDetailBottomView()
        return view
    }()
    
    
    // MARK: - 生命周期方法
    override func viewDidLoad() {
        super.viewDidLoad()
        
        gk_navigationBar.isHidden = false
        gk_navigationBar.backgroundColor = .clear
        
        view.backgroundColor = .red //for test hjl
        
        //1.
        view.addSubview(tableView)
        view.addSubview(bottomView)
        
        tableView.contentInsetAdjustmentBehavior = .never
        tableView.snp.makeConstraints { make in
            make.left.right.top.equalToSuperview()
            make.bottom.equalTo(bottomView.snp.top)
        }
        
        
        
        bottomView.snp.makeConstraints { make in
            make.left.right.bottom.equalToSuperview()
            make.height.equalTo(YHActivityDetailBottomView.viewH)
        }
        
        bottomView.block = { tag in
            
            YHApplyActivityAlert.showApplyActivityAlertView { tag in
                let vc = YHApplyActivityResultViewController()
                self.navigationController?.pushViewController(vc)
            }
        }
        
        //2.
//        addTopView()
//        topView.backgroundColor = .red
        
        
        
    }
}

extension YHActivityDetailViewController {
    func addTopView() {
        
        topView.frame = CGRect(x: 0, y: 0, width: KScreenWidth, height: 114)
        view.addSubview(topView)
        
        let gradientLayer = CAGradientLayer()
        gradientLayer.frame = topView.bounds
        
        // 定义渐变颜色，这里使用了两种颜色
        let colorTop = UIColor.red//UIColor(hex: 0x000000, alpha: 1)
        let colorBottom = UIColor.blue//UIColor(hex: 0x000000, alpha: 0)
        
        // 设置颜色数组
        gradientLayer.colors = [colorTop, colorBottom]
        
        // 设置渐变方向，从上到下
        gradientLayer.startPoint = CGPoint(x: 0.5, y: 0.0)
        gradientLayer.endPoint = CGPoint(x: 0.5, y: 1.0)
        
        // 添加渐变层到当前视图的layer
        topView.layer.insertSublayer(gradientLayer, at: 0)
    }
}

extension YHActivityDetailViewController: UITableViewDelegate, UITableViewDataSource {
    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: YHActivityDetailCell.cellReuseIdentifier, for: indexPath) as! YHActivityDetailCell
        cell.sessionIndex = indexPath.section
        
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return UITableView.automaticDimension
    }
    
//    func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
//       
//        return 0.001
//    }
//    
//    func tableView(_ tableView: UITableView, viewForHeaderInSection section: Int) -> UIView? {
//        
//        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth, height: 0.001))
//        view.backgroundColor = .clear
//        return view
//    }
//    
//    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
//        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth-16.0*2, height: 0.001))
//        view.backgroundColor = .clear
//        return view
//    }
//    
//    func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
//        return 0.001
//    }
}
