//
//  YHActivityListViewController.swift
//  galaxy
//
//  Created by EDY on 2024/6/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import JXSegmentedView

/*
 活动列表 或 我的报名活动
 */
class YHActivityListViewController: YHBaseViewController {
    
    var type : Int = 0 //0-活动列表  1-我的报名活动
    
    lazy var tableView: UITableView = {
        let tableView = UITableView(frame:.zero, style:.grouped)
        tableView.showsVerticalScrollIndicator = false
        tableView.separatorStyle = .none
        tableView.delegate = self
        tableView.dataSource = self
        tableView.backgroundColor = UIColor.white
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: "UITableViewCell")
        tableView.register(YHActivityListCell.self, forCellReuseIdentifier: YHActivityListCell.cellReuseIdentifier)
        tableView.backgroundView = self.emptyDataTipsView
        return tableView
    }()
    
    lazy var emptyDataTipsView: YHEmptyDataView = {
        let view = YHEmptyDataView.createView("暂无活动", kNoFriendsBgName)
        view.topMargin = 222
        view.isHidden = true
        return view
    }()
    
    // MARK: - 生命周期方法
    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = .white
        
        gk_navigationBar.isHidden = true
        gk_navigationBar.backgroundColor = .white
        
        
        
        view.addSubview(tableView)
        if type == 1 {
            gk_navTitle = "我的活动"
            gk_navigationBar.isHidden = false
            gk_navigationBar.backgroundColor = .clear
            
            tableView.snp.makeConstraints { make in
                make.left.equalTo(20)
                make.right.equalTo(-20)
                make.bottom.equalToSuperview()
                make.top.equalToSuperview().offset(k_Height_NavigationtBarAndStatuBar)
            }
            
        } else {
            tableView.snp.makeConstraints { make in
                make.left.equalTo(20)
                make.right.equalTo(-20)
                make.bottom.equalToSuperview()
                make.top.equalToSuperview()
            }
        }
        
        tableView.es.addYHPullToRefresh {
            self.loadFirstData()
        }

        tableView.es.addInfiniteScrolling {
            self.loadMoreData()
        }
        
        emptyDataTipsView.isHidden = friendsArr.count > 0 ? true : false
    }
    
    var friendsArr:[String] = ["","","",""]
}

extension YHActivityListViewController {
    func loadMoreData() {
//        DispatchQueue.global().async {
//            self.viewModel.getHomeNewsList(firstPageFlag : false) {[weak self] success, error in
//                guard let self = self else { return }
//                DispatchQueue.main.asyncAfter(wallDeadline: .now() + 0.35, execute: {
//                    CATransaction.setDisableActions(true)
//                    self.homeCollectView.reloadData()
//                    CATransaction.commit()
//                    
//                    self.homeCollectView.es.stopLoadingMore()
//                    if self.viewModel.hasMoreForHomeNews == false {
//                        self.homeCollectView.es.noticeNoMoreData()
//                        self.homeCollectView.footer?.alpha = 1
//                    }
//                })
//            }
//        }
        DispatchQueue.main.asyncAfter(deadline: .now()+0.5, execute: {
            self.tableView.es.stopLoadingMore()
        })
    }
    
    func loadFirstData() {
//            self.viewModel.getHomeNewsList(firstPageFlag : true) {[weak self] success, error in
//                guard let self = self else { return }
//                
//                if let arrB = self.viewModel.arrHomeNewsData,arrB.count > 0 {
//                    let arrString = arrB.toJSONString()
//                    UserDefaults.standard.set(arrString, forKey: "homeFirstPageNewsData")
//                    UserDefaults.standard.synchronize()
//                }
//                
//                DispatchQueue.main.asyncAfter(deadline: .now()+0.5, execute: {
//                    self.homeCollectView.es.stopPullToRefresh()
//                    
//                    
//                    if self.viewModel.hasMoreForHomeNews == false {
//                        self.homeCollectView.es.noticeNoMoreData()
//                        self.homeCollectView.footer?.alpha = 1
//                    }
//                    
//                    CATransaction.setDisableActions(true)
//                    self.homeCollectView.reloadData()
//                    CATransaction.commit()
//                })
//            }
        
        
        DispatchQueue.main.asyncAfter(deadline: .now()+0.5, execute: {
            self.tableView.es.stopPullToRefresh()
        })
    }
}

extension YHActivityListViewController: UITableViewDelegate, UITableViewDataSource {
    
    func numberOfSections(in tableView: UITableView) -> Int {
        if self.friendsArr.count > 0 {
            return friendsArr.count
        }
        return 0
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: YHActivityListCell.cellReuseIdentifier, for: indexPath) as! YHActivityListCell
        cell.sessionIndex = indexPath.section
        
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 185.0
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        let vc = YHActivityDetailViewController()
        navigationController?.pushViewController(vc)
    }
    
    func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
        var height : CGFloat = 16.0
        if section != 0 {
            height = 20.0
        }
        return height
    }
    
    func tableView(_ tableView: UITableView, viewForHeaderInSection section: Int) -> UIView? {
        
        var height : CGFloat = 16.0
        if section != 0 {
            height = 20.0
        }
        
        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth-16.0*2, height: height))
        view.backgroundColor = .clear
        return view
    }
    
    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth-16.0*2, height: 0.001))
        view.backgroundColor = .clear
        return view
    }
    
    func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
        return 0.001
    }
}


extension YHActivityListViewController: JXSegmentedListContainerViewListDelegate {
    func listView() -> UIView {
        return view
    }
}
