//
//  YHActivityTravelViewController.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityTravelViewController: YHBaseViewController {
    lazy var tableView: UITableView = {
        let tableView = UITableView(frame:.zero, style:.plain)
        tableView.showsVerticalScrollIndicator = false
        tableView.separatorStyle = .none
        tableView.delegate = self
        tableView.dataSource = self
        tableView.backgroundColor = UIColor.clear
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: "UITableViewCell")
        tableView.register(YHActivityTravelCell.self, forCellReuseIdentifier: YHActivityTravelCell.cellReuseIdentifier)
        tableView.tableHeaderView =  nil
        tableView.tableFooterView = nil
        
        tableView.estimatedSectionHeaderHeight = 0
        tableView.estimatedSectionFooterHeight = 0
        
        return tableView
    }()
    
    lazy var topBkgImageV : UIImageView = {
        let view = UIImageView()
        view.contentMode = .scaleAspectFill
        view.image = UIImage(named: "activity_travel_bkg")
        return view
    }()
    
    
    lazy var topView : UIView = {
        let view = UIView()
        return view
    }()
    
    lazy var bottomView : YHActivityDetailBottomView = {
        let view = YHActivityDetailBottomView()
        return view
    }()
    
    
    // MARK: - 生命周期方法
    override func viewDidLoad() {
        super.viewDidLoad()
        
        gk_navigationBar.isHidden = false
        gk_navigationBar.backgroundColor = .clear
        gk_navBarAlpha = 0
        
        view.backgroundColor = UIColor.pageBkgColor
        
        //1.
        view.addSubview(topBkgImageV)
        view.addSubview(tableView)
        
        topBkgImageV.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
            make.height.equalTo(332)
        }
        
        tableView.contentInsetAdjustmentBehavior = .never
        tableView.snp.makeConstraints { make in
            make.top.equalTo(k_Height_NavigationtBarAndStatuBar)
            make.left.equalTo(20)
            make.right.equalTo(-20)
            make.bottom.equalToSuperview()
        }
    }
}

extension YHActivityTravelViewController {
    func addTopView() {
        
        topView.frame = CGRect(x: 0, y: 0, width: KScreenWidth, height: 114)
        view.addSubview(topView)
        
        let gradientLayer = CAGradientLayer()
        gradientLayer.frame = topView.bounds
        
        // 定义渐变颜色，这里使用了两种颜色
        let colorTop = UIColor.red//UIColor(hex: 0x000000, alpha: 1)
        let colorBottom = UIColor.blue//UIColor(hex: 0x000000, alpha: 0)
        
        // 设置颜色数组
        gradientLayer.colors = [colorTop, colorBottom]
        
        // 设置渐变方向，从上到下
        gradientLayer.startPoint = CGPoint(x: 0.5, y: 0.0)
        gradientLayer.endPoint = CGPoint(x: 0.5, y: 1.0)
        
        // 添加渐变层到当前视图的layer
        topView.layer.insertSublayer(gradientLayer, at: 0)
    }
}

extension YHActivityTravelViewController: UITableViewDelegate, UITableViewDataSource {
    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: YHActivityTravelCell.cellReuseIdentifier, for: indexPath) as! YHActivityTravelCell
        cell.sessionIndex = indexPath.section
        
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return UITableView.automaticDimension
    }
    
//    func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
//
//        return 0.001
//    }
//
//    func tableView(_ tableView: UITableView, viewForHeaderInSection section: Int) -> UIView? {
//
//        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth, height: 0.001))
//        view.backgroundColor = .clear
//        return view
//    }
//
//    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
//        let view = UIView(frame: CGRect(x: 0, y: 0, width: KScreenWidth-16.0*2, height: 0.001))
//        view.backgroundColor = .clear
//        return view
//    }
//
//    func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
//        return 0.001
//    }
}
