//
//  YHActivityDetailCell.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityDetailCell: UITableViewCell {
    static let cellReuseIdentifier = "YHActivityDetailCell"
    
    
    var sessionIndex : Int = 0 {
        didSet {
//            let tmp =  sessionIndex % 3
//            let name = "activity_cell_bkg_" + String(tmp)
//            bkgImgV.image = UIImage(named: name)
        }
    }
    
   
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        setupUI()
    }
    
    lazy var topImgV:UIImageView = {
        let view = UIImageView()
        view.image = UIImage(named: "activity_cell_bkg_0")
        view.contentMode = .scaleAspectFill
        view.clipsToBounds = true
        return view
    }()
    
    
    //活动名称地址
    lazy var acitivityTitle:YHActivityTitleItemView = {
        let view = YHActivityTitleItemView()
        return view
    }()
    
    
    //活动详情
    lazy var acitivityDetail:YHActivityDetailItemView = {
        let view = YHActivityDetailItemView()
        return view
    }()
    
    //活动温馨提示
    lazy var acitivityTips:YHActivityTipsItemView = {
        let view = YHActivityTipsItemView()
        return view
    }()
}

extension YHActivityDetailCell {
    func setupUI() {
        backgroundColor = .clear
        contentView.backgroundColor = .white//for test hjl
        selectionStyle = .none
        
        
        contentView.addSubview(topImgV)
        contentView.addSubview(acitivityTitle)
        contentView.addSubview(acitivityDetail)
        contentView.addSubview(acitivityTips)
        
        
        topImgV.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
            make.height.equalTo(KScreenWidth)
        }
        
        acitivityTitle.snp.makeConstraints { make in
            make.top.equalTo(topImgV.snp.bottom).offset(24)
            make.left.equalTo(20)
            make.right.equalTo(-20)
        }
        
        
        acitivityDetail.snp.makeConstraints { make in
            make.top.equalTo(acitivityTitle.snp.bottom).offset(24)
            make.left.equalTo(20)
            make.right.equalTo(-20)
            
        }
        
        
        acitivityTips.snp.makeConstraints { make in
            make.top.equalTo(acitivityDetail.snp.bottom).offset(24)
            make.left.equalTo(20)
            make.right.equalTo(-20)
            
            make.bottom.equalToSuperview().offset(-42)
        }
        acitivityTips.layoutIfNeeded()
    }
}
