//
//  YHActivityTitleItemView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityTitleItemView: UIView {

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
    }
    
    
    
    lazy var nameLabel:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_B(ofSize:24)
        nameLabel.text = "哈佛爸爸线下教育沙龙"
        return nameLabel
    }()
    
    
    lazy var timeStaticLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor50
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "时间"
        return nameLabel
    }()
    
    lazy var timeLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "2024-08-06 周五  09:30"
        return nameLabel
    }()
    
    lazy var addressStaticLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor50
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "地址"
        return nameLabel
    }()
    
    
    lazy var addressLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "深圳市本元大厦26A银河集团体验中心"
        return nameLabel
    }()
    
    
    lazy var navAddressLable:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor.mainTextColor50
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_R(ofSize:14)
        nameLabel.text = "距地铁10号线亮马站D口步行62"
        return nameLabel
    }()
}


extension YHActivityTitleItemView {
    
    func setupUI() {
        addSubview(nameLabel)
        addSubview(timeStaticLable)
        addSubview(timeLable)
        addSubview(addressStaticLable)
        addSubview(addressLable)
        addSubview(navAddressLable)
        
        nameLabel.snp.makeConstraints { make in
            make.top.left.right.equalToSuperview()
        }
        
        timeStaticLable.snp.makeConstraints { make in
            make.left.equalToSuperview()
            make.top.equalTo(nameLabel.snp.bottom).offset(24)
            make.height.equalTo(20)
            make.width.equalTo(28)
        }
        
        timeLable.snp.makeConstraints { make in
            make.left.equalTo(timeStaticLable.snp.right).offset(16)
            make.top.equalTo(timeStaticLable.snp.top)
            make.right.equalToSuperview()
        }
    
        addressStaticLable.snp.makeConstraints { make in
            make.left.equalTo(timeStaticLable.snp.left)
            make.top.equalTo(timeLable.snp.bottom).offset(13)
            make.height.equalTo(timeStaticLable.snp.height)
            make.width.equalTo(timeStaticLable.snp.width)
        }
        
        addressLable.snp.makeConstraints { make in
            make.left.equalTo(timeLable.snp.left)
            make.top.equalTo(addressStaticLable.snp.top)
            make.right.equalToSuperview()
        }
        
        
        navAddressLable.snp.makeConstraints { make in
            make.left.equalTo(addressLable.snp.left)
            make.top.equalTo(addressLable.snp.bottom).offset(8)
            make.right.equalToSuperview()
            
            make.bottom.equalToSuperview()
        }
        
    }
}
