//
//  YHActivityTravelCell.swift
//  galaxy
//
//  Created by davidhuangA on 2024/6/21.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHActivityTravelCell: UITableViewCell {
    static let cellReuseIdentifier = "YHActivityTravelCell"
    
    private var isApplyFlag : Bool = true
    
    
    var sessionIndex : Int = 0 {
        didSet {
//            let tmp =  sessionIndex % 3
//            let name = "activity_cell_bkg_" + String(tmp)
//            bkgImgV.image = UIImage(named: name)
        }
    }
    
   
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        setupUI()
    }
    
    lazy var statusLable:UILabel = {
        let lable = UILabel()
        lable.textColor = UIColor.mainTextColor
        lable.textAlignment = .left
        lable.font = UIFont.PFSC_M(ofSize:28)
        lable.text = "已报名"
        return lable
    }()
    
    
    //活动名称地址
    lazy var acitivityTitle:YHActivityTravelitemView = {
        let view = YHActivityTravelitemView()
        return view
    }()
    
    
    //报名人数
    lazy var acitivityApplyNumber:YHActivityApplyInfoView = {
        let view = YHActivityApplyInfoView()
        return view
    }()
    
    //活动温馨提示
    lazy var acitivityTips:YHActivityTipsItemView = {
        let view = YHActivityTipsItemView()
        view.showLineFlag = false
        return view
    }()
    
    //取消活动
    lazy var cancelButton:UIButton = {
        let button = UIButton(type: .custom)
        button.backgroundColor =  UIColor.brandMainColor
        button.titleLabel?.font = UIFont.PFSC_R(ofSize: 15)
        button.contentHorizontalAlignment = .center
        button.setTitle("取消报名", for: .normal)
        button.setTitleColor(UIColor.white, for: .normal)
        button.layer.cornerRadius = kCornerRadius3
        button.addTarget(self, action: #selector(clickCancelBtn), for: .touchUpInside)
        
        button.layer.cornerRadius = kCornerRadius3
        button.clipsToBounds = true
        return button
    }()
}

extension YHActivityTravelCell {
    @objc func clickCancelBtn() {
        YHCommonAlertView.show("", "是否取消报名?", "是", "否",fullGuestureEnable: false) {
            self.isApplyFlag = false
            self.updateRightBtnUI()
        } callBack: {
        }
    }
    
    func updateRightBtnUI() {
        if isApplyFlag {
            cancelButton.setTitle("取消报名", for: .normal)
            cancelButton.setTitle("取消报名", for: .highlighted)
            
            cancelButton.setTitleColor(UIColor.mainTextColor, for: .normal)
            cancelButton.setTitleColor(UIColor.mainTextColor, for: .highlighted)
            
            
            cancelButton.backgroundColor = .white
            cancelButton.layer.borderWidth = 1
            cancelButton.layer.borderColor = UIColor.mainTextColor50.cgColor
        } else {
            
            
            cancelButton.setTitle("重新报名", for: .normal)
            cancelButton.setTitle("重新报名", for: .highlighted)
            
            cancelButton.setTitleColor(UIColor.white, for: .normal)
            cancelButton.setTitleColor(UIColor.white, for: .highlighted)
            
            
            cancelButton.backgroundColor = .brandMainColor
            cancelButton.layer.borderWidth = 0
            cancelButton.layer.borderColor = UIColor.clear.cgColor
            
        }
    }
    
    func setupUI() {
        backgroundColor = .clear
        contentView.backgroundColor = .clear
        selectionStyle = .none
        
        contentView.addSubview(statusLable)
        contentView.addSubview(acitivityTitle)
        contentView.addSubview(acitivityApplyNumber)
        contentView.addSubview(acitivityTips)
        contentView.addSubview(cancelButton)
        
        
        statusLable.snp.makeConstraints { make in
            make.top.equalToSuperview().offset(20)
            make.left.right.equalToSuperview()
            make.height.equalTo(40)
        }
        
        acitivityTitle.snp.makeConstraints { make in
            make.top.equalTo(statusLable.snp.bottom).offset(20)
            make.left.right.equalToSuperview()
        }
        
        
        acitivityApplyNumber.snp.makeConstraints { make in
            make.top.equalTo(acitivityTitle.snp.bottom).offset(32)
            make.left.right.equalToSuperview()
            
        }
        
        acitivityTips.snp.makeConstraints { make in
            make.top.equalTo(acitivityApplyNumber.snp.bottom).offset(32)
            make.left.right.equalToSuperview()
        }
        acitivityTips.layoutIfNeeded()
        
        cancelButton.snp.makeConstraints { make in
            make.top.equalTo(acitivityTips.snp.bottom).offset(32)
            make.width.equalTo(178)
            make.height.equalTo(42)
            make.centerX.equalToSuperview()
            
            make.bottom.equalToSuperview().offset(-46)
        }
        updateRightBtnUI()
    }
}
