//
//  YHEditViewModel.swift
//  galaxy
//
//  Created by EDY on 2024/6/19.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHEditViewModel: YHBaseViewModel {
    var mainModel: YHMainUserInformationModel = YHMainUserInformationModel()
    override init() {
        super.init()
    }
    
    func getBaseDataSource() -> [YHUserInformationModel] {
        let item1 = YHUserInformationModel(id: .id1, title: "真实姓名", isUserKeyBoard: true, prompts: "请输入您的真实姓名", message: mainModel.username)
        let item2 = YHUserInformationModel(id: .id6, title: "所在地", isUserKeyBoard: false, prompts: "请选择您的所在地", message: mainModel.country, type: .country, value: mainModel.area)
        var string = ""
        let array = mainModel.area
        for item in array {
            if string.count != 0 {
                string = string + "/" + item
            } else {
                string = string + item
            }
        }
        let item3 = YHUserInformationModel(id: .id2, title: "所在地-省市", isUserKeyBoard: false, prompts: "请选择您的所在地", message: string, type: .address, value: mainModel.area)
        let item4 = YHUserInformationModel(id: .id7, title: "星座", isUserKeyBoard: false, prompts: "请选择您的星座", message: mainModel.constellation, type: .constellation)
        if mainModel.country.contains("中国") {
            return [item1, item2, item3, item4]
        }
        return [item1, item2, item4]
    }
    
    func updateModel(_ item: YHUserInformationModel) {
        guard let type = item.id else { return }
        switch type {
        case .id1:
            mainModel.username = item.message ?? ""
        case .id2:
            mainModel.area = item.value ?? []
        case .id3:
            mainModel.school = item.message ?? ""
        case .id4:
            mainModel.industry = item.message ?? ""
        case .id5:
            mainModel.position = item.message ?? ""
        case .id6:
            mainModel.country = item.message ?? ""
        case .id7:
            mainModel.constellation = item.message ?? ""
        case .id8:
            mainModel.major = item.message ?? ""
        case .id9:
            mainModel.degree = item.message ?? ""
        case .id10:
            mainModel.company = item.message ?? ""
        }
    }

    func getBaseSchoolDataSource() -> [YHUserInformationModel] {
        let item1 = YHUserInformationModel(id: .id3, title: "毕业院校", isUserKeyBoard: false, prompts: "请输入您的毕业院校", message: mainModel.school, type: .school)
        let item2 = YHUserInformationModel(id: .id8, title: "专业", isUserKeyBoard: true, prompts: "请输入您的专业", message: mainModel.major)
        let item3 = YHUserInformationModel(id: .id9, title: "学位", isUserKeyBoard: false, prompts: "请选择您的学位", message: mainModel.degree, type: .degree)
        
        return [item1, item2, item3]
    }
    
    func getBaseWorkDataSource() -> [YHUserInformationModel] {
        let item1 = YHUserInformationModel(id: .id10, title: "所在企业", isUserKeyBoard: true, prompts: "请输入您的所在企业", message: mainModel.company)
        let item2 = YHUserInformationModel(id: .id5, title: "职位", isUserKeyBoard: true, prompts: "请输入您的职位", message: mainModel.position)
        let item3 = YHUserInformationModel(id: .id4, title: "所在行业", isUserKeyBoard: false, prompts: "请选择您的所在行业", message: mainModel.industry, type: .id)
        
        return [item1, item2, item3]
    }
    
}
